package com.sunxung.factoring.entity.settlement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

import java.math.BigDecimal;
import java.util.Date;

/**结算单-历史回款计划表
 * @author liutao
 * @date 2021.09.22
 */
@TableName("settlement_his_repayment_plan")
public class SettlementHisRepaymentPlan extends BaseEntity {
    /**
     * 结算单历史信息表ID
     */
    @TableField("settlement_his_info_id")
    private Long settlementHisInfoId;
    /**
     *回款金额
     */
    @TableField("repayment_amount")
    public BigDecimal repaymentAmount;
    /**
     * 回款日期
     */
    @TableField("repayment_date")
    private Date repaymentDate;


    public SettlementHisRepaymentPlan() {
    }

    public Long getSettlementHisInfoId() {
        return settlementHisInfoId;
    }

    public void setSettlementHisInfoId(Long settlementHisInfoId) {
        this.settlementHisInfoId = settlementHisInfoId;
    }

    public BigDecimal getRepaymentAmount() {
        return repaymentAmount;
    }

    public void setRepaymentAmount(BigDecimal repaymentAmount) {
        this.repaymentAmount = repaymentAmount;
    }

    public Date getRepaymentDate() {
        return repaymentDate;
    }

    public void setRepaymentDate(Date repaymentDate) {
        this.repaymentDate = repaymentDate;
    }
}
